{
    "$graph": [
        {
            "class": "CommandLineTool",
            "id": "#gatk3-AnalyzeCovariates.cwl",
            "label": "gatk3-AnalyzeCovariates-3.7.0",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "broadinstitute/gatk3:3.7-0"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6300
                }
            ],
            "baseCommand": [
                "java",
                "-Xmx3G",
                "-jar",
                "/usr/GenomeAnalysisTK.jar",
                "-T",
                "AnalyzeCovariates"
            ],
            "inputs": [
                {
                    "id": "#gatk3-AnalyzeCovariates.cwl/gatk3-AnalyzeCovariates-3.7.0/reference",
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-R"
                    },
                    "doc": "FastA file for reference genome",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ]
                },
                {
                    "id": "#gatk3-AnalyzeCovariates.cwl/gatk3-AnalyzeCovariates-3.7.0/bqsr_table_before",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-before",
                        "position": 2
                    }
                },
                {
                    "id": "#gatk3-AnalyzeCovariates.cwl/gatk3-AnalyzeCovariates-3.7.0/bqsr_table_after",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-after",
                        "position": 3
                    }
                }
            ],
            "stderr": "$(inputs.bqsr_table_after.basename).pdf.log",
            "arguments": [
                {
                    "position": 4,
                    "prefix": "-plots",
                    "valueFrom": "$(inputs.bqsr_table_after.basename).pdf"
                }
            ],
            "outputs": [
                {
                    "id": "#gatk3-AnalyzeCovariates.cwl/gatk3-AnalyzeCovariates-3.7.0/bqsr_pdf",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bqsr_table_after.basename).pdf"
                    }
                },
                {
                    "id": "#gatk3-AnalyzeCovariates.cwl/gatk3-AnalyzeCovariates-3.7.0/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bqsr_table_after.basename).pdf.log"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#gatk3-BaseRecalibrator-after.cwl",
            "label": "gatk3-BaseRecalibrator-after-3.7.0",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "broadinstitute/gatk3:3.7-0"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6300
                }
            ],
            "baseCommand": [
                "java",
                "-Xmx98G",
                "-jar",
                "/usr/GenomeAnalysisTK.jar",
                "-T",
                "BaseRecalibrator"
            ],
            "inputs": [
                {
                    "id": "#gatk3-BaseRecalibrator-after.cwl/gatk3-BaseRecalibrator-after-3.7.0/reference",
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-R"
                    },
                    "doc": "FastA file for reference genome",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ]
                },
                {
                    "id": "#gatk3-BaseRecalibrator-after.cwl/gatk3-BaseRecalibrator-after-3.7.0/nthreads",
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-nct",
                        "position": 2
                    },
                    "doc": "number of cpu cores to be used"
                },
                {
                    "id": "#gatk3-BaseRecalibrator-after.cwl/gatk3-BaseRecalibrator-after-3.7.0/in_bam",
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 3
                    },
                    "doc": "input BAM alignment file",
                    "secondaryFiles": [
                        "^.bai"
                    ]
                },
                {
                    "id": "#gatk3-BaseRecalibrator-after.cwl/gatk3-BaseRecalibrator-after-3.7.0/bqsr_table_before",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-BQSR",
                        "position": 5
                    }
                },
                {
                    "id": "#gatk3-BaseRecalibrator-after.cwl/gatk3-BaseRecalibrator-after-3.7.0/dbsnp",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-knownSites",
                        "position": 6
                    },
                    "secondaryFiles": [
                        ".idx"
                    ]
                },
                {
                    "id": "#gatk3-BaseRecalibrator-after.cwl/gatk3-BaseRecalibrator-after-3.7.0/mills_indel",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-knownSites",
                        "position": 7
                    },
                    "secondaryFiles": [
                        ".idx"
                    ]
                },
                {
                    "id": "#gatk3-BaseRecalibrator-after.cwl/gatk3-BaseRecalibrator-after-3.7.0/onek_indel",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-knownSites",
                        "position": 8
                    },
                    "secondaryFiles": [
                        ".idx"
                    ]
                }
            ],
            "outputs": [
                {
                    "id": "#gatk3-BaseRecalibrator-after.cwl/gatk3-BaseRecalibrator-after-3.7.0/bqsr_table_after",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).bqsr_after.table"
                    }
                },
                {
                    "id": "#gatk3-BaseRecalibrator-after.cwl/gatk3-BaseRecalibrator-after-3.7.0/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).bqsr_after.table.log"
                    }
                }
            ],
            "stderr": "$(inputs.in_bam.basename).bqsr_after.table.log",
            "arguments": [
                {
                    "position": 4,
                    "prefix": "-o",
                    "valueFrom": "$(inputs.in_bam.basename).bqsr_after.table"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#gatk3-BaseRecalibrator-before.cwl",
            "label": "gatk3-BaseRecalibrator-before-3.7.0",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "broadinstitute/gatk3:3.7-0"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6300
                }
            ],
            "baseCommand": [
                "java",
                "-Xmx98G",
                "-jar",
                "/usr/GenomeAnalysisTK.jar",
                "-T",
                "BaseRecalibrator"
            ],
            "inputs": [
                {
                    "id": "#gatk3-BaseRecalibrator-before.cwl/gatk3-BaseRecalibrator-before-3.7.0/reference",
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-R"
                    },
                    "doc": "FastA file for reference genome",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ]
                },
                {
                    "id": "#gatk3-BaseRecalibrator-before.cwl/gatk3-BaseRecalibrator-before-3.7.0/nthreads",
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-nct",
                        "position": 2
                    },
                    "doc": "number of cpu cores to be used"
                },
                {
                    "id": "#gatk3-BaseRecalibrator-before.cwl/gatk3-BaseRecalibrator-before-3.7.0/in_bam",
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 3
                    },
                    "doc": "input BAM alignment file",
                    "secondaryFiles": [
                        "^.bai"
                    ]
                },
                {
                    "id": "#gatk3-BaseRecalibrator-before.cwl/gatk3-BaseRecalibrator-before-3.7.0/dbsnp",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-knownSites",
                        "position": 5
                    },
                    "secondaryFiles": [
                        ".idx"
                    ]
                },
                {
                    "id": "#gatk3-BaseRecalibrator-before.cwl/gatk3-BaseRecalibrator-before-3.7.0/mills_indel",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-knownSites",
                        "position": 6
                    },
                    "secondaryFiles": [
                        ".idx"
                    ]
                },
                {
                    "id": "#gatk3-BaseRecalibrator-before.cwl/gatk3-BaseRecalibrator-before-3.7.0/onek_indel",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-knownSites",
                        "position": 7
                    },
                    "secondaryFiles": [
                        ".idx"
                    ]
                }
            ],
            "outputs": [
                {
                    "id": "#gatk3-BaseRecalibrator-before.cwl/gatk3-BaseRecalibrator-before-3.7.0/bqsr_table_before",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).bqsr_before.table"
                    }
                },
                {
                    "id": "#gatk3-BaseRecalibrator-before.cwl/gatk3-BaseRecalibrator-before-3.7.0/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).bqsr_before.table.log"
                    }
                }
            ],
            "stderr": "$(inputs.in_bam.basename).bqsr_before.table.log",
            "arguments": [
                {
                    "position": 4,
                    "prefix": "-o",
                    "valueFrom": "$(inputs.in_bam.basename).bqsr_before.table"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#gatk3-HaplotypeCaller.cwl",
            "label": "gatk3-HaplotypeCaller-3.7.0",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "broadinstitute/gatk3:3.7-0"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6300
                }
            ],
            "baseCommand": [
                "java",
                "-Xmx98G",
                "-jar",
                "/usr/GenomeAnalysisTK.jar",
                "-T",
                "HaplotypeCaller"
            ],
            "inputs": [
                {
                    "id": "#gatk3-HaplotypeCaller.cwl/gatk3-HaplotypeCaller-3.7.0/reference",
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-R"
                    },
                    "doc": "FastA file for reference genome",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ]
                },
                {
                    "id": "#gatk3-HaplotypeCaller.cwl/gatk3-HaplotypeCaller-3.7.0/nthreads",
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-nct",
                        "position": 2
                    },
                    "doc": "number of cpu cores to be used"
                },
                {
                    "id": "#gatk3-HaplotypeCaller.cwl/gatk3-HaplotypeCaller-3.7.0/in_bam",
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 3
                    },
                    "doc": "input BAM alignment file",
                    "secondaryFiles": [
                        "^.bai"
                    ]
                },
                {
                    "id": "#gatk3-HaplotypeCaller.cwl/gatk3-HaplotypeCaller-3.7.0/outprefix",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#gatk3-HaplotypeCaller.cwl/gatk3-HaplotypeCaller-3.7.0/vcf",
                    "type": "File",
                    "format": "http://edamontology.org/format_3016",
                    "outputBinding": {
                        "glob": "$(inputs.outprefix).g.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ]
                },
                {
                    "id": "#gatk3-HaplotypeCaller.cwl/gatk3-HaplotypeCaller-3.7.0/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outprefix).g.vcf.gz.log"
                    }
                }
            ],
            "stderr": "$(inputs.outprefix).g.vcf.gz.log",
            "arguments": [
                {
                    "position": 4,
                    "prefix": "-o",
                    "valueFrom": "$(inputs.outprefix).g.vcf.gz"
                },
                {
                    "position": 5,
                    "prefix": "--emitRefConfidence",
                    "valueFrom": "GVCF"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#gatk3-PrintReads.cwl",
            "label": "gatk3-PrintReads-3.7.0",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "broadinstitute/gatk3:3.7-0"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6300
                }
            ],
            "baseCommand": [
                "java",
                "-Xmx98G",
                "-jar",
                "/usr/GenomeAnalysisTK.jar",
                "-T",
                "PrintReads"
            ],
            "inputs": [
                {
                    "id": "#gatk3-PrintReads.cwl/gatk3-PrintReads-3.7.0/reference",
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-R"
                    },
                    "doc": "FastA file for reference genome",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ]
                },
                {
                    "id": "#gatk3-PrintReads.cwl/gatk3-PrintReads-3.7.0/nthreads",
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-nct",
                        "position": 2
                    },
                    "doc": "number of cpu cores to be used"
                },
                {
                    "id": "#gatk3-PrintReads.cwl/gatk3-PrintReads-3.7.0/in_bam",
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 3
                    },
                    "doc": "input BAM alignment file",
                    "secondaryFiles": [
                        "^.bai"
                    ]
                },
                {
                    "id": "#gatk3-PrintReads.cwl/gatk3-PrintReads-3.7.0/bqsr_table_before",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-BQSR",
                        "position": 5
                    }
                },
                {
                    "id": "#gatk3-PrintReads.cwl/gatk3-PrintReads-3.7.0/outprefix",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#gatk3-PrintReads.cwl/gatk3-PrintReads-3.7.0/out_bam",
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "outputBinding": {
                        "glob": "$(inputs.outprefix).bam"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ]
                },
                {
                    "id": "#gatk3-PrintReads.cwl/gatk3-PrintReads-3.7.0/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outprefix).bam.log"
                    }
                }
            ],
            "stderr": "$(inputs.outprefix).bam.log",
            "arguments": [
                {
                    "position": 4,
                    "prefix": "-o",
                    "valueFrom": "$(inputs.outprefix).bam"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#picard-CollectMultipleMetrics.cwl",
            "label": "picard-CollectMultipleMetrics-2.18.23",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/broadinstitute/picard:2.18.23"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 32000
                }
            ],
            "baseCommand": [
                "java",
                "-Xmx12G",
                "-jar",
                "/picard-tools/picard.jar",
                "CollectMultipleMetrics"
            ],
            "inputs": [
                {
                    "id": "#picard-CollectMultipleMetrics.cwl/picard-CollectMultipleMetrics-2.18.23/in_bam",
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "inputBinding": {
                        "prefix": "INPUT=",
                        "position": 1
                    },
                    "doc": "input BAM alignment file"
                },
                {
                    "id": "#picard-CollectMultipleMetrics.cwl/picard-CollectMultipleMetrics-2.18.23/reference",
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "inputBinding": {
                        "prefix": "REFERENCE_SEQUENCE=",
                        "position": 3
                    },
                    "doc": "FastA file for reference genome"
                }
            ],
            "outputs": [
                {
                    "id": "#picard-CollectMultipleMetrics.cwl/picard-CollectMultipleMetrics-2.18.23/alignment_summary_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).collect_multiple_metrics.alignment_summary_metrics"
                    },
                    "secondaryFiles": [
                        "^.bait_bias_detail_metrics",
                        "^.bait_bias_summary_metrics",
                        "^.base_distribution_by_cycle_metrics",
                        "^.base_distribution_by_cycle.pdf",
                        "^.error_summary_metrics",
                        "^.gc_bias.detail_metrics",
                        "^.gc_bias.pdf",
                        "^.gc_bias.summary_metrics",
                        "^.pre_adapter_detail_metrics",
                        "^.pre_adapter_summary_metrics",
                        "^.quality_by_cycle_metrics",
                        "^.quality_by_cycle.pdf",
                        "^.quality_distribution_metrics",
                        "^.quality_distribution.pdf"
                    ]
                },
                {
                    "id": "#picard-CollectMultipleMetrics.cwl/picard-CollectMultipleMetrics-2.18.23/insert_size_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).collect_multiple_metrics.insert_size_metrics"
                    },
                    "secondaryFiles": [
                        "^.insert_size_histogram.pdf"
                    ]
                },
                {
                    "id": "#picard-CollectMultipleMetrics.cwl/picard-CollectMultipleMetrics-2.18.23/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).collect_multiple_metrics.log"
                    }
                }
            ],
            "stderr": "$(inputs.in_bam.basename).collect_multiple_metrics.log",
            "arguments": [
                {
                    "position": 2,
                    "valueFrom": "OUTPUT=$(inputs.in_bam.basename).collect_multiple_metrics"
                },
                {
                    "position": 4,
                    "valueFrom": "PROGRAM=null"
                },
                {
                    "position": 5,
                    "valueFrom": "PROGRAM=CollectAlignmentSummaryMetrics"
                },
                {
                    "position": 6,
                    "valueFrom": "PROGRAM=CollectInsertSizeMetrics"
                },
                {
                    "position": 7,
                    "valueFrom": "PROGRAM=QualityScoreDistribution"
                },
                {
                    "position": 8,
                    "valueFrom": "PROGRAM=MeanQualityByCycle"
                },
                {
                    "position": 9,
                    "valueFrom": "PROGRAM=CollectBaseDistributionByCycle"
                },
                {
                    "position": 10,
                    "valueFrom": "PROGRAM=CollectGcBiasMetrics"
                },
                {
                    "position": 11,
                    "valueFrom": "PROGRAM=CollectSequencingArtifactMetrics"
                },
                {
                    "position": 12,
                    "valueFrom": "TMP_DIR=temp"
                },
                {
                    "position": 13,
                    "valueFrom": "VALIDATION_STRINGENCY=LENIENT"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#picard-CollectWgsMetrics.cwl",
            "label": "picard-CollectWgsMetrics-2.10.6",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/picard:2.10.6--py27_0"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 20000
                }
            ],
            "baseCommand": [
                "java",
                "-Xmx12G",
                "-jar",
                "/usr/local/share/picard-2.10.6-0/picard.jar",
                "CollectWgsMetrics"
            ],
            "inputs": [
                {
                    "id": "#picard-CollectWgsMetrics.cwl/picard-CollectWgsMetrics-2.10.6/in_bam",
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "inputBinding": {
                        "prefix": "INPUT=",
                        "position": 1
                    },
                    "doc": "input BAM alignment file"
                },
                {
                    "id": "#picard-CollectWgsMetrics.cwl/picard-CollectWgsMetrics-2.10.6/reference",
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "inputBinding": {
                        "prefix": "REFERENCE_SEQUENCE=",
                        "position": 3
                    },
                    "doc": "FastA file for reference genome"
                },
                {
                    "id": "#picard-CollectWgsMetrics.cwl/picard-CollectWgsMetrics-2.10.6/reference_interval_name",
                    "type": "string"
                },
                {
                    "id": "#picard-CollectWgsMetrics.cwl/picard-CollectWgsMetrics-2.10.6/reference_interval_list",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "INTERVALS=",
                        "position": 4
                    },
                    "doc": "Interval list for reference genome"
                }
            ],
            "outputs": [
                {
                    "id": "#picard-CollectWgsMetrics.cwl/picard-CollectWgsMetrics-2.10.6/wgs_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).$(inputs.reference_interval_name).wgs_metrics"
                    }
                },
                {
                    "id": "#picard-CollectWgsMetrics.cwl/picard-CollectWgsMetrics-2.10.6/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).$(inputs.reference_interval_name).wgs_metrics.log"
                    }
                }
            ],
            "stderr": "$(inputs.in_bam.basename).$(inputs.reference_interval_name).wgs_metrics.log",
            "arguments": [
                {
                    "position": 2,
                    "valueFrom": "OUTPUT=$(inputs.in_bam.basename).$(inputs.reference_interval_name).wgs_metrics"
                },
                {
                    "position": 5,
                    "valueFrom": "TMP_DIR=temp"
                },
                {
                    "position": 6,
                    "valueFrom": "VALIDATION_STRINGENCY=LENIENT"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#picard-MarkDuplicates.cwl",
            "label": "picard-MarkDuplicates-2.10.6",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/picard:2.10.6--py27_0"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 32000
                }
            ],
            "baseCommand": [
                "java",
                "-Xmx24G",
                "-jar",
                "/usr/local/share/picard-2.10.6-0/picard.jar",
                "MarkDuplicates"
            ],
            "inputs": [
                {
                    "id": "#picard-MarkDuplicates.cwl/picard-MarkDuplicates-2.10.6/bam_files",
                    "type": {
                        "type": "array",
                        "items": "File",
                        "inputBinding": {
                            "prefix": "INPUT=",
                            "separate": false
                        }
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "doc": "array of input BAM alignment files (each file should be sorted)"
                },
                {
                    "id": "#picard-MarkDuplicates.cwl/picard-MarkDuplicates-2.10.6/outprefix",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#picard-MarkDuplicates.cwl/picard-MarkDuplicates-2.10.6/out_bam",
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "outputBinding": {
                        "glob": "$(inputs.outprefix).bam"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ]
                },
                {
                    "id": "#picard-MarkDuplicates.cwl/picard-MarkDuplicates-2.10.6/out_metrics",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outprefix).bam.metrics"
                    }
                },
                {
                    "id": "#picard-MarkDuplicates.cwl/picard-MarkDuplicates-2.10.6/log",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outprefix).bam.log"
                    }
                }
            ],
            "stderr": "$(inputs.outprefix).bam.log",
            "arguments": [
                {
                    "position": 2,
                    "valueFrom": "OUTPUT=$(inputs.outprefix).bam"
                },
                {
                    "position": 3,
                    "valueFrom": "METRICS_FILE=$(inputs.outprefix).bam.metrics"
                },
                {
                    "position": 4,
                    "valueFrom": "TMP_DIR=$(inputs.outprefix).temp"
                },
                {
                    "position": 5,
                    "valueFrom": "COMPRESSION_LEVEL=9"
                },
                {
                    "position": 6,
                    "valueFrom": "CREATE_INDEX=true"
                },
                {
                    "position": 7,
                    "valueFrom": "ASSUME_SORTED=true"
                },
                {
                    "position": 8,
                    "valueFrom": "REMOVE_DUPLICATES=true"
                },
                {
                    "position": 9,
                    "valueFrom": "VALIDATION_STRINGENCY=LENIENT"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#samtools-flagstat.cwl",
            "label": "samtools-flagstat-1.6",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/samtools:1.6--0"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "baseCommand": [
                "samtools",
                "flagstat"
            ],
            "inputs": [
                {
                    "id": "#samtools-flagstat.cwl/samtools-flagstat-1.6/nthreads",
                    "type": "int",
                    "inputBinding": {
                        "prefix": "--threads",
                        "position": 1
                    }
                },
                {
                    "id": "#samtools-flagstat.cwl/samtools-flagstat-1.6/in_bam",
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "inputBinding": {
                        "position": 2
                    },
                    "doc": "input BAM alignment file"
                }
            ],
            "outputs": [
                {
                    "id": "#samtools-flagstat.cwl/samtools-flagstat-1.6/flagstat",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).flagstat"
                    }
                }
            ],
            "stdout": "$(inputs.in_bam.basename).flagstat",
            "arguments": []
        },
        {
            "class": "CommandLineTool",
            "id": "#samtools-idxstats.cwl",
            "label": "samtools-idxstats-1.6",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/samtools:1.6--0"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "baseCommand": [
                "samtools",
                "idxstats"
            ],
            "inputs": [
                {
                    "id": "#samtools-idxstats.cwl/samtools-idxstats-1.6/in_bam",
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "inputBinding": {
                        "position": 1
                    },
                    "doc": "input BAM alignment file",
                    "secondaryFiles": [
                        "^.bai"
                    ]
                }
            ],
            "outputs": [
                {
                    "id": "#samtools-idxstats.cwl/samtools-idxstats-1.6/idxstats",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.in_bam.basename).idxstats"
                    }
                }
            ],
            "stdout": "$(inputs.in_bam.basename).idxstats",
            "arguments": []
        },
        {
            "class": "Workflow",
            "id": "#bams2gvcf.wBQSR.cwl",
            "label": "bam2gvcf-wBQSR",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "format": "http://edamontology.org/format_2572",
                    "doc": "array of input BAM alignment files (each file should be sorted)",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/bam_files"
                },
                {
                    "type": "File",
                    "doc": "dbSNP data file for base recalibrator",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/dbsnp"
                },
                {
                    "type": "File",
                    "doc": "Mills indel data file for base recalibrator",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/mills_indel"
                },
                {
                    "type": "int",
                    "doc": "number of cpu cores to be used",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/nthreads"
                },
                {
                    "type": "File",
                    "doc": "Onek indel data file for base recalibrator",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/onek_indel"
                },
                {
                    "type": "string",
                    "doc": "Output prefix name",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/outprefix"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "doc": "FastA file for reference genome",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference"
                },
                {
                    "type": "File",
                    "doc": "interval list for reference genome (autosome)",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_list_autosome"
                },
                {
                    "type": "File",
                    "doc": "interval list for reference genome (chrX)",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_list_chrX"
                },
                {
                    "type": "File",
                    "doc": "interval list for reference genome (chrY)",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_list_chrY"
                },
                {
                    "type": "string",
                    "default": "autosome",
                    "doc": "interval name for reference genome (autosome)",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_name_autosome"
                },
                {
                    "type": "string",
                    "default": "chrX",
                    "doc": "interval name for reference genome (chrX)",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_name_chrX"
                },
                {
                    "type": "string",
                    "default": "chrY",
                    "doc": "interval name for reference genome (chrY)",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_name_chrY"
                }
            ],
            "steps": [
                {
                    "label": "gatk3_AnalyzeCovariates",
                    "doc": "Draw plots of BQSR tables",
                    "run": "#gatk3-AnalyzeCovariates.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/bqsr_table_after",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_AnalyzeCovariates/bqsr_table_after"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/bqsr_table_before",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_AnalyzeCovariates/bqsr_table_before"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_AnalyzeCovariates/reference"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_AnalyzeCovariates/bqsr_pdf",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_AnalyzeCovariates/log"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_AnalyzeCovariates"
                },
                {
                    "label": "gatk3_BaseRecalibrator_after",
                    "doc": "Calculate base recalibrator table (after)",
                    "run": "#gatk3-BaseRecalibrator-after.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/bqsr_table_before",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/bqsr_table_before"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/dbsnp",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/dbsnp"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/out_bam",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/in_bam"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/mills_indel",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/mills_indel"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/nthreads",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/nthreads"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/onek_indel",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/onek_indel"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/reference"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/bqsr_table_after",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/log"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after"
                },
                {
                    "label": "gatk3_BaseRecalibrator_before",
                    "doc": "Calculate base recalibrator table (before)",
                    "run": "#gatk3-BaseRecalibrator-before.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/dbsnp",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/dbsnp"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/out_bam",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/in_bam"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/mills_indel",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/mills_indel"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/nthreads",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/nthreads"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/onek_indel",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/onek_indel"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/reference"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/bqsr_table_before",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/log"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before"
                },
                {
                    "label": "gatk3_HaplotypeCaller",
                    "doc": "Haplotype calling using GATK3",
                    "run": "#gatk3-HaplotypeCaller.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/out_bam",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller/in_bam"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/nthreads",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller/nthreads"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/outprefix",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller/outprefix"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller/reference"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller/vcf",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller/log"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller"
                },
                {
                    "label": "gatk3_PrintReads",
                    "doc": "Output bam file while modifying base quality",
                    "run": "#gatk3-PrintReads.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/bqsr_table_before",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/bqsr_table_before"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/out_bam",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/in_bam"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/nthreads",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/nthreads"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/outprefix",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/outprefix"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/reference"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/out_bam",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/log"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads"
                },
                {
                    "label": "picard_CollectMultipleMetrics",
                    "doc": "Collect multiple metrics using picard",
                    "run": "#picard-CollectMultipleMetrics.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/out_bam",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectMultipleMetrics/in_bam"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectMultipleMetrics/reference"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectMultipleMetrics/alignment_summary_metrics",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectMultipleMetrics/insert_size_metrics",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectMultipleMetrics/log"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectMultipleMetrics"
                },
                {
                    "label": "picard_CollectWgsMetrics",
                    "doc": "Collect WGS metrics using picard",
                    "run": "#picard-CollectWgsMetrics.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/out_bam",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome/in_bam"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome/reference"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_list_autosome",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome/reference_interval_list"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_name_autosome",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome/reference_interval_name"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome/wgs_metrics",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome/log"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome"
                },
                {
                    "label": "picard_CollectWgsMetrics",
                    "doc": "Collect WGS metrics using picard",
                    "run": "#picard-CollectWgsMetrics.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/out_bam",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX/in_bam"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX/reference"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_list_chrX",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX/reference_interval_list"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_name_chrX",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX/reference_interval_name"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX/wgs_metrics",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX/log"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX"
                },
                {
                    "label": "picard_CollectWgsMetrics",
                    "doc": "Collect WGS metrics using picard",
                    "run": "#picard-CollectWgsMetrics.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/out_bam",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY/in_bam"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY/reference"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_list_chrY",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY/reference_interval_list"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/reference_interval_name_chrY",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY/reference_interval_name"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY/wgs_metrics",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY/log"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY"
                },
                {
                    "label": "picard_MarkDuplicates",
                    "doc": "Merge BAM files and remove duplicates",
                    "run": "#picard-MarkDuplicates.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/bam_files",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/bam_files"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/outprefix",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/outprefix"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/out_bam",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/out_metrics",
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/log"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates"
                },
                {
                    "label": "samtools_flagstat",
                    "doc": "Calculate flagstat using samtools",
                    "run": "#samtools-flagstat.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/out_bam",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_flagstat/in_bam"
                        },
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/nthreads",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_flagstat/nthreads"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_flagstat/flagstat"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_flagstat"
                },
                {
                    "label": "samtools_idxstats",
                    "doc": "Calculate idxstats using samtools",
                    "run": "#samtools-idxstats.cwl",
                    "in": [
                        {
                            "source": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/out_bam",
                            "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_idxstats/in_bam"
                        }
                    ],
                    "out": [
                        "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_idxstats/idxstats"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_idxstats"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_AnalyzeCovariates/bqsr_pdf",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_AnalyzeCovariates_bqsr_pdf"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_AnalyzeCovariates/log",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_AnalyzeCovariates_log"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/bqsr_table_after",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after_bqsr_table_after"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after/log",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_after_log"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/bqsr_table_before",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before_bqsr_table_before"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before/log",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_BaseRecalibrator_before_log"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller/log",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller_log"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_3016",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller/vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_HaplotypeCaller_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/log",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads_log"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads/out_bam",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/gatk3_PrintReads_out_bam"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome/log",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome_log"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome/wgs_metrics",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_autosome_wgs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX/log",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX_log"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX/wgs_metrics",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrX_wgs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY/log",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY_log"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY/wgs_metrics",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectWgsMetrics_chrY_wgs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectMultipleMetrics/alignment_summary_metrics",
                    "secondaryFiles": [
                        "^.bait_bias_detail_metrics",
                        "^.bait_bias_summary_metrics",
                        "^.base_distribution_by_cycle_metrics",
                        "^.base_distribution_by_cycle.pdf",
                        "^.error_summary_metrics",
                        "^.gc_bias.detail_metrics",
                        "^.gc_bias.pdf",
                        "^.gc_bias.summary_metrics",
                        "^.pre_adapter_detail_metrics",
                        "^.pre_adapter_summary_metrics",
                        "^.quality_by_cycle_metrics",
                        "^.quality_by_cycle.pdf",
                        "^.quality_distribution_metrics",
                        "^.quality_distribution.pdf"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_collect_multiple_metrics_alignment_summary_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectMultipleMetrics/insert_size_metrics",
                    "secondaryFiles": [
                        "^.insert_size_histogram.pdf"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_collect_multiple_metrics_insert_size_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_CollectMultipleMetrics/log",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_collect_multiple_metrics_log"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_2572",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/out_bam",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/rmdup_bam"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/log",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/rmdup_log"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/picard_MarkDuplicates/out_metrics",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/rmdup_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_flagstat/flagstat",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_flagstat_flagstat"
                },
                {
                    "type": "File",
                    "outputSource": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_idxstats/idxstats",
                    "id": "#bams2gvcf.wBQSR.cwl/bam2gvcf-wBQSR/samtools_idxstats_idxstats"
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "doc": "dbSNP data file for base recalibrator",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#main/dbsnp"
                },
                {
                    "type": {
                        "type": "array",
                        "items": [
                            {
                                "type": "record",
                                "fields": [
                                    {
                                        "type": {
                                            "type": "array",
                                            "items": "File"
                                        },
                                        "name": "#main/inputSamples/bam_files"
                                    },
                                    {
                                        "type": "string",
                                        "name": "#main/inputSamples/outprefix"
                                    }
                                ]
                            }
                        ]
                    },
                    "id": "#main/inputSamples"
                },
                {
                    "type": "File",
                    "doc": "Mills indel data file for base recalibrator",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#main/mills_indel"
                },
                {
                    "type": "int",
                    "doc": "number of cpu cores to be used",
                    "id": "#main/nthreads"
                },
                {
                    "type": "File",
                    "doc": "Onek indel data file for base recalibrator",
                    "secondaryFiles": [
                        ".idx"
                    ],
                    "id": "#main/onek_indel"
                },
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "doc": "FastA file for reference genome",
                    "secondaryFiles": [
                        ".fai",
                        "^.dict"
                    ],
                    "id": "#main/reference"
                },
                {
                    "type": "File",
                    "doc": "interval list for reference genome (autosome)",
                    "id": "#main/reference_interval_list_autosome"
                },
                {
                    "type": "File",
                    "doc": "interval list for reference genome (chrX)",
                    "id": "#main/reference_interval_list_chrX"
                },
                {
                    "type": "File",
                    "doc": "interval list for reference genome (chrY)",
                    "id": "#main/reference_interval_list_chrY"
                },
                {
                    "type": "string",
                    "default": "autosome",
                    "doc": "interval name for reference genome (autosome)",
                    "id": "#main/reference_interval_name_autosome"
                },
                {
                    "type": "string",
                    "default": "chrX",
                    "doc": "interval name for reference genome (chrX)",
                    "id": "#main/reference_interval_name_chrX"
                },
                {
                    "type": "string",
                    "default": "chrY",
                    "doc": "interval name for reference genome (chrY)",
                    "id": "#main/reference_interval_name_chrY"
                }
            ],
            "steps": [
                {
                    "run": "#bams2gvcf.wBQSR.cwl",
                    "in": [
                        {
                            "valueFrom": "$(inputs.inputSamples.bam_files)",
                            "id": "#main/bams2gvcfwBQSR/bam_files"
                        },
                        {
                            "source": "#main/dbsnp",
                            "id": "#main/bams2gvcfwBQSR/dbsnp"
                        },
                        {
                            "source": "#main/inputSamples",
                            "id": "#main/bams2gvcfwBQSR/inputSamples"
                        },
                        {
                            "source": "#main/mills_indel",
                            "id": "#main/bams2gvcfwBQSR/mills_indel"
                        },
                        {
                            "source": "#main/nthreads",
                            "id": "#main/bams2gvcfwBQSR/nthreads"
                        },
                        {
                            "source": "#main/onek_indel",
                            "id": "#main/bams2gvcfwBQSR/onek_indel"
                        },
                        {
                            "valueFrom": "$(inputs.inputSamples.outprefix)",
                            "id": "#main/bams2gvcfwBQSR/outprefix"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/bams2gvcfwBQSR/reference"
                        },
                        {
                            "source": "#main/reference_interval_list_autosome",
                            "id": "#main/bams2gvcfwBQSR/reference_interval_list_autosome"
                        },
                        {
                            "source": "#main/reference_interval_list_chrX",
                            "id": "#main/bams2gvcfwBQSR/reference_interval_list_chrX"
                        },
                        {
                            "source": "#main/reference_interval_list_chrY",
                            "id": "#main/bams2gvcfwBQSR/reference_interval_list_chrY"
                        },
                        {
                            "source": "#main/reference_interval_name_autosome",
                            "id": "#main/bams2gvcfwBQSR/reference_interval_name_autosome"
                        },
                        {
                            "source": "#main/reference_interval_name_chrX",
                            "id": "#main/bams2gvcfwBQSR/reference_interval_name_chrX"
                        },
                        {
                            "source": "#main/reference_interval_name_chrY",
                            "id": "#main/bams2gvcfwBQSR/reference_interval_name_chrY"
                        }
                    ],
                    "scatter": [
                        "#main/bams2gvcfwBQSR/inputSamples"
                    ],
                    "scatterMethod": "dotproduct",
                    "out": [
                        "#main/bams2gvcfwBQSR/rmdup_bam",
                        "#main/bams2gvcfwBQSR/rmdup_metrics",
                        "#main/bams2gvcfwBQSR/rmdup_log",
                        "#main/bams2gvcfwBQSR/picard_collect_multiple_metrics_alignment_summary_metrics",
                        "#main/bams2gvcfwBQSR/picard_collect_multiple_metrics_insert_size_metrics",
                        "#main/bams2gvcfwBQSR/picard_collect_multiple_metrics_log",
                        "#main/bams2gvcfwBQSR/samtools_flagstat_flagstat",
                        "#main/bams2gvcfwBQSR/samtools_idxstats_idxstats",
                        "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_autosome_wgs_metrics",
                        "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_autosome_log",
                        "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_chrX_wgs_metrics",
                        "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_chrX_log",
                        "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_chrY_wgs_metrics",
                        "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_chrY_log",
                        "#main/bams2gvcfwBQSR/gatk3_BaseRecalibrator_before_bqsr_table_before",
                        "#main/bams2gvcfwBQSR/gatk3_BaseRecalibrator_before_log",
                        "#main/bams2gvcfwBQSR/gatk3_BaseRecalibrator_after_bqsr_table_after",
                        "#main/bams2gvcfwBQSR/gatk3_BaseRecalibrator_after_log",
                        "#main/bams2gvcfwBQSR/gatk3_AnalyzeCovariates_bqsr_pdf",
                        "#main/bams2gvcfwBQSR/gatk3_AnalyzeCovariates_log",
                        "#main/bams2gvcfwBQSR/gatk3_PrintReads_out_bam",
                        "#main/bams2gvcfwBQSR/gatk3_PrintReads_log",
                        "#main/bams2gvcfwBQSR/gatk3_HaplotypeCaller_vcf",
                        "#main/bams2gvcfwBQSR/gatk3_HaplotypeCaller_log"
                    ],
                    "id": "#main/bams2gvcfwBQSR"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/gatk3_AnalyzeCovariates_bqsr_pdf",
                    "id": "#main/gatk3_AnalyzeCovariates_bqsr_pdf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/gatk3_AnalyzeCovariates_log",
                    "id": "#main/gatk3_AnalyzeCovariates_log"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/gatk3_BaseRecalibrator_after_bqsr_table_after",
                    "id": "#main/gatk3_BaseRecalibrator_after_bqsr_table_after"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/gatk3_BaseRecalibrator_after_log",
                    "id": "#main/gatk3_BaseRecalibrator_after_log"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "format": "http://edamontology.org/format_3016",
                    "outputSource": "#main/bams2gvcfwBQSR/gatk3_BaseRecalibrator_before_bqsr_table_before",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/gatk3_BaseRecalibrator_before_bqsr_table_before"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/gatk3_BaseRecalibrator_before_log",
                    "id": "#main/gatk3_BaseRecalibrator_before_log"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/gatk3_HaplotypeCaller_log",
                    "id": "#main/gatk3_HaplotypeCaller_log"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/gatk3_HaplotypeCaller_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/gatk3_HaplotypeCaller_vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/gatk3_PrintReads_log",
                    "id": "#main/gatk3_PrintReads_log"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/gatk3_PrintReads_out_bam",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#main/gatk3_PrintReads_out_bam"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_autosome_log",
                    "id": "#main/picard_CollectWgsMetrics_autosome_log"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_autosome_wgs_metrics",
                    "id": "#main/picard_CollectWgsMetrics_autosome_wgs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_chrX_log",
                    "id": "#main/picard_CollectWgsMetrics_chrX_log"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_chrX_wgs_metrics",
                    "id": "#main/picard_CollectWgsMetrics_chrX_wgs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_chrY_log",
                    "id": "#main/picard_CollectWgsMetrics_chrY_log"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/picard_CollectWgsMetrics_chrY_wgs_metrics",
                    "id": "#main/picard_CollectWgsMetrics_chrY_wgs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/picard_collect_multiple_metrics_alignment_summary_metrics",
                    "secondaryFiles": [
                        "^.bait_bias_detail_metrics",
                        "^.bait_bias_summary_metrics",
                        "^.base_distribution_by_cycle_metrics",
                        "^.base_distribution_by_cycle.pdf",
                        "^.error_summary_metrics",
                        "^.gc_bias.detail_metrics",
                        "^.gc_bias.pdf",
                        "^.gc_bias.summary_metrics",
                        "^.pre_adapter_detail_metrics",
                        "^.pre_adapter_summary_metrics",
                        "^.quality_by_cycle_metrics",
                        "^.quality_by_cycle.pdf",
                        "^.quality_distribution_metrics",
                        "^.quality_distribution.pdf"
                    ],
                    "id": "#main/picard_collect_multiple_metrics_alignment_summary_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/picard_collect_multiple_metrics_insert_size_metrics",
                    "secondaryFiles": [
                        "^.insert_size_histogram.pdf"
                    ],
                    "id": "#main/picard_collect_multiple_metrics_insert_size_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/picard_collect_multiple_metrics_log",
                    "id": "#main/picard_collect_multiple_metrics_log"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/rmdup_bam",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#main/rmdup_bam"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/rmdup_log",
                    "id": "#main/rmdup_log"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/rmdup_metrics",
                    "id": "#main/rmdup_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/samtools_flagstat_flagstat",
                    "id": "#main/samtools_flagstat_flagstat"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/bams2gvcfwBQSR/samtools_idxstats_idxstats",
                    "id": "#main/samtools_idxstats_idxstats"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0",
    "$namespaces": {
        "edam": "http://edamontology.org/"
    }
}
